aboutsummaryrefslogtreecommitdiff
path: root/dev
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-12-05 20:13:36 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-12-05 20:13:36 +0000
commitd6ff17c6619136ce43739c87445ae8de5501592a (patch)
treeb422a87c3d81593a9611d9a9dfaa7de0d1346596 /dev
parent739a8973019bd194d0ab13900dac1e4cc2b19f7b (diff)
downloadslackbuilds-d6ff17c6619136ce43739c87445ae8de5501592a.tar.gz
slackbuilds-d6ff17c6619136ce43739c87445ae8de5501592a.tar.bz2
added perl-spamassassin
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@864 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'dev')
-rwxr-xr-xdev/perl/perl-mail-spamassassin/perl-mail-spamassassin.SlackBuild129
-rw-r--r--dev/perl/perl-mail-spamassassin/slack-required4
2 files changed, 133 insertions, 0 deletions
diff --git a/dev/perl/perl-mail-spamassassin/perl-mail-spamassassin.SlackBuild b/dev/perl/perl-mail-spamassassin/perl-mail-spamassassin.SlackBuild
new file mode 100755
index 00000000..de1f52d3
--- /dev/null
+++ b/dev/perl/perl-mail-spamassassin/perl-mail-spamassassin.SlackBuild
@@ -0,0 +1,129 @@
+#!/bin/bash
+#
+# SlackBuild script for perl-mail-spamassassin
+# by rhatto at riseup.net by rhatto | gpl
+
+CWD="`pwd`"
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building ekiga are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+NAME="Mail::SpamAssassin"
+PACKAGE="perl-`echo $NAME | sed -e 's/::/-/g' | tr '[:upper:]' '[:lower:]'`"
+TMP=${TMP:=/tmp}
+VERSION=${VERSION:=3.1.7}
+ARCH=${ARCH:=i386}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+REPOS=${REPOS:=$TMP}
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+FILE_NAME="`echo $NAME | sed -e 's/::/-/g'`"
+SRC="$FILE_NAME-$VERSION.tar.gz"
+URL="http://search.cpan.org/CPAN/authors/id/J/JM/JMASON/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+
+if [ ! -d "$SRC_DIR" ]; then
+ mkdir -p $SRC_DIR
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+
+if [ ! -d "$TMP" ]; then
+ mkdir -p $TMP
+fi
+
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+cd $FILE_NAME-$VERSION
+
+# config and install!
+mkdir -p /install
+
+perl Makefile.PL
+make
+make test
+make install DESTDIR=$TMP/package-$PACKAGE
+
+# make the package
+
+cd $TMP/package-$PACKAGE
+
+# we need to fix .packlist
+string="`echo $TMP/package-$PACKAGE | sed -e 's/\//\\\\\//g'`"
+for file in `find -name .packlist`; do
+ sed -e "s/^$string//g" $file > $file.tmp
+ mv $file.tmp $file
+done
+
+mkdir install
+
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+perl-mail-spamassassin: perl-mail-spamassassin
+perl-mail-spamassassin:
+perl-mail-spamassassin: SpamAssassin is a mail filter which attempts to identify spam using
+perl-mail-spamassassin: a variety of mechanisms including text analysis, Bayesian filtering,
+perl-mail-spamassassin: DNS blocklists, and collaborative filtering databases.
+perl-mail-spamassassin:
+perl-mail-spamassassin:
+perl-mail-spamassassin:
+perl-mail-spamassassin:
+perl-mail-spamassassin:
+perl-mail-spamassassin:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+DOCS="Changes README SIGNATURE"
+cp -a $CWD/$DOCS usr/doc/$PACKAGE-$VERSION/
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/dev/perl/perl-mail-spamassassin/slack-required b/dev/perl/perl-mail-spamassassin/slack-required
new file mode 100644
index 00000000..2f2089c8
--- /dev/null
+++ b/dev/perl/perl-mail-spamassassin/slack-required
@@ -0,0 +1,4 @@
+perl-digest-sha1
+perl-html-parser
+perl-mime-base64
+perl-db_file